de.esprit.appsuite.appstore

## Class AppStarterCLP

- java.lang.Object
- - de.esprit.common.clp.CommandLineParser
  - - de.esprit.appsuite.launch.ApplicationCommandLineParser
    - - de.esprit.appsuite.appstore.AppStarterCLP

-     public final class AppStarterCLP
      extends ApplicationCommandLineParser

  This class defines the particular command line options provided by an JNLP file for launching the `EspritAppStarterLaunch` via web-start. Execute the main method of this class to see available options and the help text on the console.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `optApplicationName`

    - ### Fields inherited from class de.esprit.common.clp.CommandLineParser

      `espritVersion, optDebug, optDemo, optHelp, optLocale, optLogDir, optLogToFile, optNoConsole, optTest, optVerbose, optVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppStarterCLP(java.lang.String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AppStarterConfig` | `createConfig()` May be overridden to return a specific `ApplicationConfig` derivation which contains all data extracted from the command line.
    `java.io.File` | `getAppCacheRootDir()`
    `java.net.URL` | `getAppStoreURL()`
    `java.lang.String` | `getAppToStart()`
    `java.io.File` | `getAppWorkingDir()`
    `java.lang.String` | `getVersionToStart()`
    `boolean` | `isShowTrayIcon()`
    `static void` | `main(java.lang.String[] args)` Prints the help text for this command-line parser showing all it's options

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `getApplicationName, getConfig, isPrintVersionOnly, setDefaultApplicationName`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineParser

      `addOption, addOption, addSoftwareVersion, checkDependencies, createHelpText, createHelpText, createOptionList, createSyntaxLine, ensureParsed, fetchDefinedOptionFor, findDefinedOptionFor, getArgument, getArgumentCount, getArguments, getCustomVersion, getEspritVersion, getLogDir, getMainClass, getSoftwareVersions, getStartLogLevel, handleParsingError, hasArguments, isDebug, isDemoMode, isExitAfterParsing, isLogToFile, isNoConsoleLog, isParsed, isTestMode, isVerbose, parse, removeOption, removeOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppStarterCLP

          public AppStarterCLP(java.lang.String[] args)

  - ### Method Detail

    - #### createConfig

          protected AppStarterConfig createConfig()
                                           throws java.lang.Exception

      Description copied from class: `ApplicationCommandLineParser`
      May be overridden to return a specific `ApplicationConfig` derivation which contains all data extracted from the command line.
      Overrides:
        `createConfig` in class `ApplicationCommandLineParser`
      Throws:
        `java.lang.Exception`

    - #### getAppCacheRootDir

          public java.io.File getAppCacheRootDir()

    - #### getAppWorkingDir

          public java.io.File getAppWorkingDir()

    - #### getAppStoreURL

          public java.net.URL getAppStoreURL()

    - #### getAppToStart

          public java.lang.String getAppToStart()

    - #### getVersionToStart

          public java.lang.String getVersionToStart()

    - #### isShowTrayIcon

          public boolean isShowTrayIcon()

    - #### main

          public static void main(java.lang.String[] args)

      Prints the help text for this command-line parser showing all it's options

Copyright © 2014 EsprIT-Systems. All Rights Reserved.